Camstream: CamStream API documentation

Main Page Class Hierarchy Compound List File List Compound Members File Members

# COpenDeviceDlg Class Reference

`#include <OpenDevice.h>`

Inheritance diagram for COpenDeviceDlg::

List of all members.

## Public Methods

- COpenDeviceDlg (QWidget *parent=0, const char *name=0, bool modal=FALSE, WFlags fl=0)
- ~COpenDeviceDlg ()

## Public Attributes

- QLabel* TextLabel1
- QComboBox* m_DeviceSelection
- QButtonGroup* m_InitialSize
- QRadioButton* RadioButton1
- QRadioButton* RadioButton4
- QRadioButton* RadioButton2
- QRadioButton* RadioButton3
- QRadioButton* RadioButton5
- QRadioButton* RadioButton6
- QRadioButton* RadioButton7
- QRadioButton* RadioButton8
- QPushButton* buttonOk
- QPushButton* buttonCancel

## Protected Attributes

- QVBoxLayout* COpenDeviceDlgLayout
- QHBoxLayout* Layout6
- QVBoxLayout* m_InitialSizeLayout
- QHBoxLayout* Layout4

## Constructor & Destructor Documentation

COpenDeviceDlg::COpenDeviceDlg ( | QWidget * parent = 0,
| const char * name = 0,
| bool modal = FALSE,
| WFlags fl = 0 )

COpenDeviceDlg::~COpenDeviceDlg ( | )

## Member Data Documentation

QVBoxLayout* COpenDeviceDlg::COpenDeviceDlgLayout`[protected]`

QHBoxLayout* COpenDeviceDlg::Layout4`[protected]`

QHBoxLayout* COpenDeviceDlg::Layout6`[protected]`

QRadioButton* COpenDeviceDlg::RadioButton1

QRadioButton* COpenDeviceDlg::RadioButton2

QRadioButton* COpenDeviceDlg::RadioButton3

QRadioButton* COpenDeviceDlg::RadioButton4

QRadioButton* COpenDeviceDlg::RadioButton5

QRadioButton* COpenDeviceDlg::RadioButton6

QRadioButton* COpenDeviceDlg::RadioButton7

QRadioButton* COpenDeviceDlg::RadioButton8

QLabel* COpenDeviceDlg::TextLabel1

QPushButton* COpenDeviceDlg::buttonCancel

QPushButton* COpenDeviceDlg::buttonOk

QComboBox* COpenDeviceDlg::m_DeviceSelection

QButtonGroup* COpenDeviceDlg::m_InitialSize

QVBoxLayout* COpenDeviceDlg::m_InitialSizeLayout`[protected]`

The documentation for this class was generated from the following file:

- OpenDevice.h